// SerAddressBookDlg.h : header file
//

#include "AddressBook.h"

#pragma once

//  dialog
class  CSerAddressBookDlg: public CDialog
{
	// Construction
	public:
		CSerAddressBookDlg(CWnd* pParent = NULL);	// standard constructor

	// Dialog Data
		enum { IDD = IDD_SERADDRESSBOOK_DIALOG };

	protected:
		virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


	// Implementation
	protected:
		HICON m_hIcon;

		// Generated message map functions
		virtual BOOL OnInitDialog();
		afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
		afx_msg void OnPaint();
		afx_msg HCURSOR OnQueryDragIcon();
		DECLARE_MESSAGE_MAP()

	private:
		afx_msg void OnBnClickedRadioVersion1();
		afx_msg void OnBnClickedRadioVersion2();
		afx_msg void OnBnClickedBtnSave();
		afx_msg void OnBnClickedBtnLoad();
		afx_msg void OnBnClickedBtnAddDataToGrid();
		afx_msg void OnBnClickedBtnRemoveDataFromGrid();
		afx_msg void OnBnClickedBtnCleanTheList();
		afx_msg void OnBnClickedBtnExit();

		void ResetMembers();
		void PopulateList();
		void SaveDataContentToFile(CString strSaveFile);
		void LoadDataContentFromFile(CString strLoadedFile);
    	void ResetAllColumns(void);

		CListCtrl	m_cList;

		CAddressBook	m_c_AddressBook;
		CString			m_strFirstName;
		CString			m_strLastName;
		CString			m_strAddress;
		CString			m_strPhone;
		CString			m_strMobilePhone;
		CString			m_strEmail;
		int				m_nContactVersion;

		CString			m_strFilePath;

};
